package com.prolog.cs.biz.inbound.dao.rcv;

import com.prolog.cs.biz.inbound.dto.rcv.RcvInstockLinesDTO;
import com.prolog.cs.biz.inbound.model.rcv.RcvInstockLines;
import com.prolog.cs.biz.inbound.vo.LineQueryVO;
import com.prolog.cs.biz.inbound.vo.RcvInstockLinesQueryVO;
import com.prolog.framework.dao.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @Description  
 * @Date 2021-03-24 
 */
@Mapper
public interface RcvInstockLinesMapper extends BaseMapper<RcvInstockLines> {

	List<RcvInstockLinesDTO> findList(RcvInstockLinesQueryVO queryVO);

	RcvInstockLinesDTO findByPkId(String pkId);

	List<RcvInstockLinesDTO> getReport(LineQueryVO lineQueryVO);
	
	Long getMaxLineNum(String rcvHeaderId);
	
	List<RcvInstockLinesDTO> findEisNum(@Param("msgIds") List<String> msgIds,@Param("wareHouseId") String wareHouseId, @Param("ownerId") String ownerId);

	List<RcvInstockLinesDTO> findListNew(RcvInstockLinesQueryVO queryVO);

	List<Map<String, String>> queryRoomInfo(@Param("warehouseId") String warehouseId);


	List<Map<String, String>> queryAreaInfo(@Param("warehouseId") String warehouseId);

    Integer checkContainerTask(@Param("containerCode")String containerCode);

}
